setwd("<YOUR_DIRECTORY>")

### READ DATA ###
q <- read.csv(file="data/global_q_line_count_mapped_so-data.csv", header=TRUE, sep=",", quote="\"", na.strings=c(""), stringsAsFactors=FALSE) 

q$tags <- lapply(q$question_tags, function(x) {
  unique(trimws(unlist(strsplit(x, ';', fixed=TRUE))))
})

tags <- unique(unlist(q$tags))
tags_count <- sort(table(unlist(q$tags)), decreasing=TRUE)
tags_count[1:10]

tags_count["java"]
# 4769

tags_count["c"]
# 1591

tags_count["c++"]
# 3369

tags_count["c#"]
# 3521

tags_count["php"]
# 2673

tags_count["python"]
# 7560

tags_count["r"]
# 894
