-- http://data.stackexchange.com/stackoverflow/query/
-- 23.08.2016


-- java questions that have an answer
select count(*)
from posts
where posttypeid=1
  and tags like '%<java>%'
  and id in (
    select distinct parentid
    from posts
    where posttypeid=2
);

=> 983,919

use stackoverflow16_1;
select id
from posts
where posttypeid=1
  and tags like '%<java>%'
  and id in (
    select distinct parentid
    from posts
    where posttypeid=2
)
INTO outfile "java_threads_with_answer.csv"
FIELDS TERMINATED BY ';'
OPTIONALLY ENCLOSED BY '"'
LINES TERMINATED BY '\n';

=> /var/lib/mysql/stackoverflow16_1/java_threads_with_answer.csv
=> 874,030

-- c questions that have an answer
select count(*)
from posts
where posttypeid=1
  and tags like '%<c>%'
  and id in (
    select distinct parentid
    from posts
    where posttypeid=2
);

=> 210,856

-- c++ questions that have an answer
select count(*)
from posts
where posttypeid=1
  and tags like '%<c++>%'
  and id in (
    select distinct parentid
    from posts
    where posttypeid=2
);

=> 421,917

-- c# questions that have an answer
select count(*)
from posts
where posttypeid=1
  and tags like '%<c#>%'
  and id in (
    select distinct parentid
    from posts
    where posttypeid=2
);

=> 884,297

-- javascript questions that have an answer
select count(*)
from posts
where posttypeid=1
  and tags like '%<javascript>%'
  and id in (
    select distinct parentid
    from posts
    where posttypeid=2
);

=> 1,048,855

-- php questions that have an answer
select count(*)
from posts
where posttypeid=1
  and tags like '%<php>%'
  and id in (
    select distinct parentid
    from posts
    where posttypeid=2
);

=> 854,465

-- python questions that have an answer
select count(*)
from posts
where posttypeid=1
  and tags like '%<python>%'
  and id in (
    select distinct parentid
    from posts
    where posttypeid=2
);

=> 548,579

-- r questions that have an answer
select count(*)
from posts
where posttypeid=1
  and tags like '%<r>%'
  and id in (
    select distinct parentid
    from posts
    where posttypeid=2
);

=> 125,814

